# TdApi.VectorPathCommandCubicBezierCurve (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: VectorPathCommandCubicBezierCurve

Package it.tdlight.jni

# Class TdApi.VectorPathCommandCubicBezierCurve

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VectorPathCommand
it.tdlight.jni.TdApi.VectorPathCommandCubicBezierCurve

Enclosing class:
  TdApi

    public static class TdApi.VectorPathCommandCubicBezierCurve
    extends TdApi.VectorPathCommand

A cubic Bézier curve to a given point.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Point` | `endControlPoint` | The end control point of the curve.
`TdApi.Point` | `endPoint` | The end point of the curve.
`TdApi.Point` | `startControlPoint` | The start control point of the curve.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`VectorPathCommandCubicBezierCurve()` | A cubic Bézier curve to a given point.
`VectorPathCommandCubicBezierCurve​(TdApi.Point startControlPoint, TdApi.Point endControlPoint, TdApi.Point endPoint)` | A cubic Bézier curve to a given point.
`VectorPathCommandCubicBezierCurve​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### startControlPoint

public TdApi.Point startControlPoint
The start control point of the curve.

### endControlPoint

public TdApi.Point endControlPoint
The end control point of the curve.

### endPoint

public TdApi.Point endPoint
The end point of the curve.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### VectorPathCommandCubicBezierCurve

public VectorPathCommandCubicBezierCurve()
A cubic Bézier curve to a given point.

### VectorPathCommandCubicBezierCurve

public VectorPathCommandCubicBezierCurve​(TdApi.Point startControlPoint, TdApi.Point endControlPoint, TdApi.Point endPoint)
A cubic Bézier curve to a given point.

Parameters:
  `startControlPoint` - Point The start control point of the curve.
  `endControlPoint` - Point The end control point of the curve.
  `endPoint` - Point The end point of the curve.

### VectorPathCommandCubicBezierCurve

public VectorPathCommandCubicBezierCurve​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`